Subject: Re: [siprec] One question about draft-ietf-siprec-architecture

From: "Hutton, Andrew" <[email-masked]>
Date: Mon, 2 Dec 2013 12:51:05 +0000

ON: 28 November 2013 09:04 Yanqiang (Michael) Wrote:

> 
> I got three more questions about 09 version.
> 
> 1. Why remove the word below ' Possible mechanisms for this include
> using the Require header or a media feature tag as defined in
> [RFC3840]' for the 3rd action in 3.2.1? It was removed in 09 version
> and the comparison file of 08/09, while it existed in 08 version and
> versions before.

I traced this back and the text in 3.2.1 3rd bullet was actually removed on the 04 draft due to comments received (See http://www.ietf.org/mail-archive/web/siprec/current/msg03125.html). The text was removed because the protocol draft specified that stuff.

> 
> 2. Should we change 'SRC' to 'SRS' in the word below ' If the Recording
> Session is to be started immediately then the SRC will include an SDP
> attribute of "a=recvonly" for each media line or "a=inactive" if it is
> not ready to receive the media' in 3.2.2 last action?
>

Yes - Good find

> 
> 3. If use SRS to replace all 'Session Recording Server' in 09 version,
> why not change all 'Session Recording Client' to SRC as well. Anyway,
> should protocol document and others use SRC/SRS instead of 'Session
> Recording Server'/'Session Recording Client'?
> 

Some were changed but it seems not all so I will try to clean up a little and be more consistent in the version 10.

The protocol document does already mostly use the terms SRC and SRS.